Loading...
Searching...
No Matches
ParseUtil Class Reference

`#include <parseutil.h>`

## Public Member Functions

| ParseUtil ()
| ParseUtil (const ParseUtil &)
| ParseUtil (const CanonicalForm &)
| ParseUtil (const Variable &)
| ParseUtil (int)
| ParseUtil (char *)
| ~ParseUtil ()
ParseUtil & | operator= (const ParseUtil &)
ParseUtil & | operator= (const CanonicalForm &)
ParseUtil & | operator= (const Variable &)
ParseUtil & | operator= (int)
CanonicalForm | getval ()
int | getintval ()

## Private Attributes

PUtilBase * | value

## Detailed Description

Definition at line 14 of file parseutil.h.

## Constructor & Destructor Documentation

## ParseUtil() [1/6]

ParseUtil::ParseUtil | ( |  | ) |

Definition at line 92 of file parseutil.cc.

{
value = PUtilFactory::create();
}
PUtilFactory::create
static PUtilBase * create()
Definition parseutil.cc:79
ParseUtil::value
PUtilBase * value
Definition parseutil.h:17

## ParseUtil() [2/6]

ParseUtil::ParseUtil | ( | const ParseUtil & | pu | ) |

Definition at line 97 of file parseutil.cc.

{
value = pu.value->copy();
}
PUtilBase::copy
virtual PUtilBase * copy() const =0

## ParseUtil() [3/6]

ParseUtil::ParseUtil | ( | const CanonicalForm & | f | ) |

Definition at line 102 of file parseutil.cc.

{
value = PUtilFactory::create( f );
}
f
FILE * f
Definition checklibs.c:9

## ParseUtil() [4/6]

ParseUtil::ParseUtil | ( | const Variable & |  | ) |

## ParseUtil() [5/6]

ParseUtil::ParseUtil | ( | int | i | ) |

Definition at line 107 of file parseutil.cc.

{
value = PUtilFactory::create( i );
}
i
int i
Definition cfEzgcd.cc:132

## ParseUtil() [6/6]

ParseUtil::ParseUtil | ( | char * | str | ) |

Definition at line 112 of file parseutil.cc.

{
value = PUtilFactory::create( str );
}

## ~ParseUtil()

ParseUtil::~ParseUtil | ( |  | ) |

Definition at line 117 of file parseutil.cc.

{
delete value;
}

## Member Function Documentation

## getintval()

int ParseUtil::getintval | ( |  | ) |

Definition at line 157 of file parseutil.cc.

{
return value->getintval();
}

## getval()

CanonicalForm ParseUtil::getval | ( |  | ) |

Definition at line 152 of file parseutil.cc.

{
return value->getval();
}

## operator=() [1/4]

ParseUtil & ParseUtil::operator= | ( | const CanonicalForm & | f | ) |

Definition at line 131 of file parseutil.cc.

{
delete value;
value = PUtilFactory::create( f );
return *this;
}

## operator=() [2/4]

ParseUtil & ParseUtil::operator= | ( | const ParseUtil & | pu | ) |

Definition at line 122 of file parseutil.cc.

{
if ( this != &pu ) {
delete value;
value = pu.value->copy();
}
return *this;
}

## operator=() [3/4]

ParseUtil & ParseUtil::operator= | ( | const Variable & | v | ) |

Definition at line 145 of file parseutil.cc.

{
delete value;
value = PUtilFactory::create( v );
return *this;
}
v
const Variable & v
< [in] a sqrfree bivariate poly
Definition facBivar.h:39

## operator=() [4/4]

ParseUtil & ParseUtil::operator= | ( | int | i | ) |

Definition at line 138 of file parseutil.cc.

{
delete value;
value = PUtilFactory::create( i );
return *this;
}

## Field Documentation

## value

PUtilBase* ParseUtil::value

private

Definition at line 17 of file parseutil.h.

The documentation for this class was generated from the following files:

- factory/parseutil.h
- factory/parseutil.cc